# Generated by Django 5.0 on 2023-12-12 21:27

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("todos", "0002_alter_todolist_created_on"),
    ]

    operations = [
        migrations.AlterField(
            model_name="todolist",
            name="created_on",
            field=models.DateTimeField(blank=True, null=True),
        ),
        migrations.CreateModel(
            name="TodoItem",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("task", models.CharField(max_length=100)),
                ("due_date", models.DateTimeField(auto_now_add=True)),
                ("is_completed", models.BooleanField(default=False)),
                (
                    "list",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="items",
                        to="todos.todolist",
                    ),
                ),
            ],
            options={
                "ordering": ["task"],
            },
        ),
    ]
